# operator==,!=(std::istream_iterator)

From cppreference.com
< cpp‎ | iterator‎ | istream iterator

template< class T, class CharT, class Traits, class Dist > bool operator==( const istream_iterator<T,CharT,Traits,Dist>& lhs, const istream_iterator<T,CharT,Traits,Dist>& rhs ); | (1) |
template< class CharT, class Traits > bool operator!=( const istream_iterator<T,CharT,Traits,Dist>& lhs, const istream_iterator<T,CharT,Traits,Dist>& rhs ); | (2) |

Checks whether both `lhs` and `rhs` are equal. Two stream iterators are equal if both of them are end-of-stream iterators or both of them refer to the same stream.

1) Checks whether `lhs` is equal to `rhs`.
2) Checks whether `lhs` is not equal to `rhs`.

### Parameters

lhs, rhs | - | stream iterators to compare

### Return value

1) true if `lhs` is equal to `rhs`, false otherwise.
2) true if `lhs` is not equal to `rhs`, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istream_iterator/operator_cmp&oldid=105247"